Eclipse Platform Release 3.7

## org.eclipse.team.core
Class DefaultRepositoryProviderType

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.team.core.RepositoryProviderType
              org.eclipse.team.core.DefaultRepositoryProviderType

All Implemented Interfaces:
  IAdaptable

    public final class DefaultRepositoryProviderType

extends RepositoryProviderType

Constructor Summary
`DefaultRepositoryProviderType()`

Method Summary

Methods inherited from class org.eclipse.team.core.RepositoryProviderType
`getFileSystemScheme, getID, getProjectSetCapability, getProviderType, getSubscriber, getTypeForScheme, metaFilesDetected`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRepositoryProviderType

    public DefaultRepositoryProviderType()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.